Heads up!  If you have a Zope trunk checkout, you'll need to
recursively delete directory lib/python/Persistence before an update
will succeed.  If you try to update before deleting that directory,
you'll see something like:

    Failed to add directory 'lib/python/Persistence': object of the same name
    already exists.

You may also need to do "svn cleanup" and try again, if you don't
delete the directory before trying to update.

[Tim Peters]
> If there are no sane <wink> objections, I'd like to move Zope trunk to
> using ZODB 3.5 tomorrow (Friday). ...

This didn't happen.  There's a chicken-and-egg problem with
incorporating zpkg changes too, and that's probably going to wait for
a newer release of Five.

> A related changed would happen soon after (probably also on Friday):
> the ExtensionClass-based Persistence package still lives in the ZODB
> part of the repository, despite that it can't even be compiled from a
> ZODB checkout (the prerequisite ExtensionClass implementation lives in
> the Zope part of the repository).  So the plan there is to remove the
> svn:externals stitching Persistence into Zope from ZODB, and move the
> Persistence package from ZODB trunk to Zope trunk.

That part did happen.  Removing the svn:externals line for Persistence
from Zope trunk's lib/python, followed by an ``svn move`` of the
Persistence package (from ZODB trunk to Zope trunk), caused the
headaches at the top of this message.  I'm afraid current SVN gets a
bit lost when switching from copies to externals, or vice versa.
_______________________________________________
Zope-Dev maillist  -  Zope-Dev@zope.org
http://mail.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists -
 http://mail.zope.org/mailman/listinfo/zope-announce
 http://mail.zope.org/mailman/listinfo/zope )

Reply via email to